@import "partials/colors";

.results-state {
	.ui.segment.column.results {
		margin: 0 0 25vh;
		padding: 0 0 3rem;
		.allocations-bar {
			font-size: 0;

			display: block;

			width: 100%;
			height: 12px;
			span {
				display: inline-block;

				height: 100%;
				&:nth-child(1) {
					background: $blue1;
				}
				&:nth-child(2) {
					background: $blue2;
				}
				&:nth-child(3) {
					background: $blue3;
				}
				&:nth-child(4) {
					background: $blue4;
				}
				&:nth-child(5) {
					background: $blue5;
				}
			}
		}
		.ui.grid.allocations {
			margin: 0rem;
			.column {
				text-align: center;
				&:nth-child(1) .ui.statistic > .value {
					color: $blue1;
				}
				&:nth-child(2) .ui.statistic > .value {
					color: $blue2;
				}
				&:nth-child(3) .ui.statistic > .value {
					color: $blue3;
				}
				&:nth-child(4) .ui.statistic > .value {
					color: $blue4;
				}
				&:nth-child(5) .ui.statistic > .value {
					color: $blue5;
				}
				.ui.statistic > .value ~ .label {
					color: $black2;
				}
			}
		}
		.ui.result-divider.divider {
			margin: 1rem 1rem 2rem;
		}
		.correlations {
			font-size: 1.25rem;
			font-weight: 700;

			padding: 1rem 3rem 2rem;
		}
		.correlated-person.ui.grid {
			display: block;

			width: 100%;
			height: 100px;
			margin: 0;
			padding: 0 3rem;

			cursor: pointer;
			transition: background 0.25s ease;

			color: $blue1;
			&:hover {
				background: lighten($blue5, 0.2);
			}
			.picture.column {
				float: left;

				height: 100px;
				padding: 0;
				img {
					width: auto;
					height: 100px;
					padding: 18px 0;

					border-radius: 50%;
				}
			}
			.mid-content.column {
				height: 100px;
				padding: 0;
				.name {
					font-size: 24px;

					display: block;
					float: left;

					width: 100%;
					height: 60px;
					margin: 0;
					padding-top: 30px;
				}
				.position {
					display: block;
					float: left;

					width: 100%;
					height: 40px;
					margin: 0;
					padding: 0;
					padding-top: 0;

					color: $black2;
				}
			}
			.value.column {
				font-size: 2.5rem;
				font-weight: 900;
				line-height: 100px;

				display: inline-block;
				float: right;

				height: 100px;
				padding: 0;

				text-align: center;

				color: $blue3;
			}
		}
	}
}
